com.jscape.inet.mft.monitor

## Class DirectoryMonitor

- java.lang.Object
- - com.jscape.inet.mft.monitor.DirectoryMonitor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DirectoryMonitor
      extends java.lang.Object
      implements java.io.Serializable, com.jscape.util.db.IntVersioned

  Directory monitor.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectoryMonitor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `DirectoryMonitor(DirectoryMonitor that)`
    `DirectoryMonitor(java.lang.String name, java.lang.String tradingPartner, java.lang.String pathname, java.lang.Long timeout, boolean monitorAdding, boolean monitorChanging, boolean monitorDeleting, boolean monitorRecursively, boolean singleEventRisingRequired, com.jscape.inet.mft.monitor.DirectoryQuota quota, java.lang.Long latencyPeriod, java.lang.String owner, java.lang.Long maxFileAgeMillis, java.lang.String[] tags, long creationDate, int version)` Creates a new monitor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCreationDate()`
    `java.lang.Long` | `getLatencyPeriod()` Returns monitor latency period.
    `java.lang.Long` | `getMaxFileAgeMillis()` Returns a file max age value.
    `java.lang.String` | `getName()` Returns monitor name.
    `java.lang.String` | `getOwner()` Returns the monitor owner.
    `java.lang.String` | `getPathname()` Returns target directory path.
    `com.jscape.inet.mft.monitor.DirectoryQuota` | `getQuota()` Returns directory quota.
    `java.lang.String[]` | `getTags()`
    `java.lang.Long` | `getTimeout()` Returns monitor timeout.
    `java.lang.String` | `getTradingPartner()`
    `int` | `getVersion()`
    `boolean` | `isMonitorAdding()` Returns file adding monitor flag.
    `boolean` | `isMonitorChanging()` Returns file changing monitor flag.
    `boolean` | `isMonitorDeleting()` Returns file deleting monitor flag.
    `boolean` | `isMonitorRecursively()` Returns recursively monitor flag.
    `boolean` | `isSingleEventRisingRequired()`
    `void` | `setCreationDate(long value)`
    `void` | `setLatencyPeriod(java.lang.Long value)` Sets a monitor latency period.
    `void` | `setMaxFileAgeMillis(java.lang.Long value)` Sets a file max age value.
    `void` | `setMonitorAdding(boolean value)` Sets file adding monitor flag
    `void` | `setMonitorChanging(boolean value)` Sets file changing monitor flag
    `void` | `setMonitorDeleting(boolean value)` Sets file deleting monitor flag
    `void` | `setMonitorRecursively(boolean value)` Sets recursive monitor flag.
    `void` | `setName(java.lang.String value)` Sets monitor name.
    `void` | `setOwner(java.lang.String value)` Sets a monitor owner.
    `void` | `setPathname(java.lang.String value)` Sets target directory path.
    `void` | `setQuota(com.jscape.inet.mft.monitor.DirectoryQuota value)` Sets directory quota.
    `void` | `setSingleEventRisingRequired(boolean value)`
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setTimeout(java.lang.Long value)` Sets monitor timeout.
    `void` | `setTradingPartner(java.lang.String value)`
    `void` | `setVersion(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectoryMonitor

          public DirectoryMonitor(java.lang.String name,
                                  java.lang.String tradingPartner,
                                  java.lang.String pathname,
                                  java.lang.Long timeout,
                                  boolean monitorAdding,
                                  boolean monitorChanging,
                                  boolean monitorDeleting,
                                  boolean monitorRecursively,
                                  boolean singleEventRisingRequired,
                                  com.jscape.inet.mft.monitor.DirectoryQuota quota,
                                  java.lang.Long latencyPeriod,
                                  java.lang.String owner,
                                  java.lang.Long maxFileAgeMillis,
                                  java.lang.String[] tags,
                                  long creationDate,
                                  int version)

      Creates a new monitor instance.
      Parameters:
        `name` - monitor name
        `pathname` - target directory
        `timeout` - monitor timeout in ms
        `monitorAdding` - if `true` file adding will be monitored
        `monitorChanging` - if `true` file changing will be monitored
        `monitorDeleting` - if `true` file deleting will be monitored
        `monitorRecursively` - if `true` subdirectories will be monitored recursively
        `quota` - disk space quota for the monitored directory in bytes
        `latencyPeriod` - a latency period
        `owner` - a monitor owner
        `maxFileAgeMillis` - a file max file age

    - #### DirectoryMonitor

          public DirectoryMonitor(DirectoryMonitor that)

    - #### DirectoryMonitor

          public DirectoryMonitor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Returns monitor name.
      Returns:
        monitor name

    - #### setName

          public void setName(java.lang.String value)

      Sets monitor name.
      Parameters:
        `value` - monitor name

    - #### getTradingPartner

          public java.lang.String getTradingPartner()

    - #### setTradingPartner

          public void setTradingPartner(java.lang.String value)

    - #### getPathname

          public java.lang.String getPathname()

      Returns target directory path.
      Returns:
        target directory path

    - #### setPathname

          public void setPathname(java.lang.String value)

      Sets target directory path.
      Parameters:
        `value` - target directory path

    - #### getTimeout

          public java.lang.Long getTimeout()

      Returns monitor timeout.
      Returns:
        monitor timeout in ms

    - #### setTimeout

          public void setTimeout(java.lang.Long value)

      Sets monitor timeout.
      Parameters:
        `value` - monitor timeout in ms

    - #### isMonitorAdding

          public boolean isMonitorAdding()

      Returns file adding monitor flag.
      Returns:
        `true` if file adding is monitored; `false` otherwise

    - #### setMonitorAdding

          public void setMonitorAdding(boolean value)

      Sets file adding monitor flag
      Parameters:
        `value` - if `true` file adding will be monitored

    - #### isMonitorChanging

          public boolean isMonitorChanging()

      Returns file changing monitor flag.
      Returns:
        `true` if file changing is monitored; `false` otherwise

    - #### setMonitorChanging

          public void setMonitorChanging(boolean value)

      Sets file changing monitor flag
      Parameters:
        `value` - if `true` file changing will be monitored

    - #### isMonitorDeleting

          public boolean isMonitorDeleting()

      Returns file deleting monitor flag.
      Returns:
        `true` if file deleting is monitored; `false` otherwise

    - #### setMonitorDeleting

          public void setMonitorDeleting(boolean value)

      Sets file deleting monitor flag
      Parameters:
        `value` - if `true` file deleting will be monitored

    - #### isMonitorRecursively

          public boolean isMonitorRecursively()

      Returns recursively monitor flag.
      Returns:
        `true` if monitor works recursively; `false` otherwise

    - #### setMonitorRecursively

          public void setMonitorRecursively(boolean value)

      Sets recursive monitor flag.
      Parameters:
        `value` - if `true` monitor will work recursively

    - #### isSingleEventRisingRequired

          public boolean isSingleEventRisingRequired()

    - #### setSingleEventRisingRequired

          public void setSingleEventRisingRequired(boolean value)

    - #### getQuota

          public com.jscape.inet.mft.monitor.DirectoryQuota getQuota()

      Returns directory quota.
      Returns:
        directory quota in bytes

    - #### setQuota

          public void setQuota(com.jscape.inet.mft.monitor.DirectoryQuota value)

      Sets directory quota.
      Parameters:
        `value` - directory quota in bytes

    - #### getLatencyPeriod

          public java.lang.Long getLatencyPeriod()

      Returns monitor latency period.
      Returns:
        the monitor latency period

    - #### setLatencyPeriod

          public void setLatencyPeriod(java.lang.Long value)

      Sets a monitor latency period.
      Parameters:
        `value` - a monitor latency period

    - #### getOwner

          public java.lang.String getOwner()

      Returns the monitor owner.
      Returns:
        the monitor owner

    - #### setOwner

          public void setOwner(java.lang.String value)

      Sets a monitor owner.
      Parameters:
        `value` - a monitor owner

    - #### getMaxFileAgeMillis

          public java.lang.Long getMaxFileAgeMillis()

      Returns a file max age value.
      Returns:
        a file max age value

    - #### setMaxFileAgeMillis

          public void setMaxFileAgeMillis(java.lang.Long value)

      Sets a file max age value.
      Parameters:
        `value` - a file max age value

    - #### getTags

          public java.lang.String[] getTags()

    - #### setTags

          public void setTags(java.lang.String[] value)

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate(long value)

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved